Loading...
Searching...
No Matches
TimeScaleData Class Reference

`#include <gnuradio/qtgui/qtgui_types.h>`

## Public Member Functions

| TimeScaleData ()
virtual | ~TimeScaleData ()
virtual gr::high_res_timer_type | getZeroTime () const
virtual void | setZeroTime (const gr::high_res_timer_type newTime)
virtual void | setSecondsPerLine (const double newTime)
virtual double | getSecondsPerLine () const

## Constructor & Destructor Documentation

## TimeScaleData()

TimeScaleData::TimeScaleData | ( |  | ) |

inline

## ~TimeScaleData()

virtual TimeScaleData::~TimeScaleData | ( |  | ) |

inline virtual

## Member Function Documentation

## getSecondsPerLine()

virtual double TimeScaleData::getSecondsPerLine | ( |  | ) | const

inline virtual

## getZeroTime()

virtual gr::high_res_timer_type TimeScaleData::getZeroTime | ( |  | ) | const

inline virtual

## setSecondsPerLine()

virtual void TimeScaleData::setSecondsPerLine | ( | const double | newTime | ) |

inline virtual

## setZeroTime()

virtual void TimeScaleData::setZeroTime | ( | const gr::high_res_timer_type | newTime | ) |

inline virtual

References gr::high_res_timer_epoch().

The documentation for this class was generated from the following file:

- qtgui_types.h